// $Id: drawBitmap.c,v 1.1 1997/03/25 10:18:43 yotam Exp $

#include "drawBitmap.h"

////////////////////////////////////////////////////////////////////////
void
drawBitmap
(
   Display*       dpy,
   Window         win,
   GC             gc,
   const Bitmap*  bitmap,
   int            xref,
   int            yref
)
{
   unsigned int        x, y, w, h;
   BitmapRectIterator  bmIter(bitmap);
   while (bmIter.nextRect(x, y, w, h))
   {
      XFillRectangle(dpy, win, gc, xref + x, yref + y, w, h);
   }
} // drawBitmap
