// $Id: tkinfo.h,v 1.2 1997/03/25 10:18:43 yotam Exp $
#ifndef tkInfO
#define tkInfO

#include <tk.h>
#include "ximple.h"

class TkInfo
{
 public:

   TkInfo();
   virtual ~TkInfo();

   static void drawFontTable(Tk_Window tkwin, ClientData appData);
   static int  configureFontTable(Tk_Window tkwin, ClientData appData);

   static void drawFocusChar(Tk_Window tkwin, ClientData appData);
   static int  configureFocusChar(Tk_Window tkwin, ClientData appData);

   static void kernDraw(Tk_Window tkwin, ClientData appData);
   static int  kernConfigure(Tk_Window tkwin, ClientData appData);

   static void extenDraw(Tk_Window tkwin, ClientData appData);
   static int  extenConfigure(Tk_Window tkwin, ClientData appData);

   static int  assignFuncs
               (             // output
                  ostream                   &  result,
                  XimpleDrawFunc            *& drawFunc,
                  XimpleCustomConfigFunc    *& custConfFunc,
                  XimpleDestroyFunc         *& destroyFunc,
                  ClientData                &  appData,
                             // input
                  Tcl_Interp                *  interp, 
                  Tk_Window                    tkwin,
                  int                          argc,
                  char                      ** argv,
                  ClientData                   assignData
               );

   Tk_Window   fontTableWin;
   Tk_Window   winFocusChar;
   Tk_Window   kernWin;
   Tk_Window   extenWin;
}; // TkInfo


#endif /* tkInfO */


