// $Id: bmout.c,v 1.2 1997/03/25 10:18:43 yotam Exp $
#include "bmout.h"

void
bitmapOutput
(
   ostream&               os, 
   const BitSet * const * bitmap, 
   US32                   width,            
   US32                   height
)
{
   US32  i, j;

   for (j = width;  j--;)  os << '-';   os << '\\' << endl;

   for (i = 0;  i < height;  i++)
   {
      for (j = 0;  j < width;  j++)
      {
         os << (bitmap[i]->test(j) ? '*' : ' ');
      }
      os << '|' << endl;
   }

   for (j = width;  j--;)  os << '-';   os << '/' << endl;
} // bitmapOutput


