// $Id: debug.h,v 1.5 1997/03/25 10:18:43 yotam Exp $
// Debug smart macros
#ifndef _dEbUg
#define _dEbUg

#if DEBUG

#  include <iostream.h>
   extern void waitOnFile(unsigned maxSleep);
#  define DHERE      (cout << __FILE__ "[" << dec << __LINE__  << "] ")
#  define DHERENL    (DHERE << endl)
#  define DASSERT(p) if (!(p)) { DHERE << "Assertion Failed" << endl; \
                                 waitOnFile(28);}
#  define DPR(x)     (DHERE << x)
#  define DPRNL(x)   (DHERE << x << endl)
#  define DCODE(x)   x

#else

#  define DHERE
#  define DHERENL
#  define DASSERT(p)
#  define DPR(x)
#  define DPRNL(x)
#  define DCODE(x)

#endif

// cancel but keep the code
#define DPR0(x)

#endif /* _dEbUg */
