// $Id: gcd.c,v 1.1 1997/03/25 10:18:43 yotam Exp $

#include "gcd.h"
#include "debug.h"

#if RECURSIVE
static unsigned int 
gcdGT(unsigned int m, unsigned int n)
{
   DASSERT(m >= n);
   if (n)
   {
      m = gcdGT(n, m % n);
   }
   return(m);
} // gcdGT
#endif


unsigned int
gcd(unsigned int m, unsigned int n)
{
   if (m < n)
   {
      unsigned int s = m;  m = n;  n = s;
   }
   DASSERT(m >= n);
#if RECURSIVE   
   return(gcdGT(m, n));
#endif
   while (n)
   {
      DASSERT(m >= n);
      unsigned int  nNext = m % n;
      m = n;
      n = nNext;
   }
   return(m);
} // gcd

