// $Id: pushdir.h,v 1.1 1995/10/01 22:22:21 yotam Exp $
#ifndef pushdIr
#define pUshdIr

#include <dirent.h>
#include <sys/types.h>

class PushDir
{
 public:
   PushDir(const char *dirname);
   ~PushDir(); // also pops
   void pop();
   DIR  *dir() { return _dir; };
 private:
   char                 autoBuf[256];
   char *               savedDir;
   DIR  *               _dir;
   static const char *  trivial; // ""
}; // PushDir

#endif /* pUshdIr */
