// $Id: rect.c,v 1.2 1997/03/25 10:18:43 yotam Exp $
#include  <string.h>
#include  <iostream.h>
#include  "rect.h"

void
rectsOutput(ostream &os, Rect *rect, int nRect)
{
   US32  width = 0, height = 0;
   int   r, i, j;

   // find width * height
   for (r = nRect;  r--;)
   {
      US32  right  = rect[r].x + rect[r].w;
      US32  bottom = rect[r].y + rect[r].h;
      if (width < right)
      {
         width = right;
      }
      if (height < bottom)
      {
         height = bottom;
      }
   }

   char *buffer  = new char [height * (width + 1)];
   char **lines = new char *[height];

   if (buffer != 0 && lines != 0)
   {
      (void)memset(buffer, ' ', height * (width + 1)); // space fill
      for (i = height;  i--;)  // split to lines
      {
         lines[i] = &buffer[i * (width + 1)];
         lines[i][width] = '\0';
      }

      for (r = nRect;  r--;)
      {
         US32  x = rect[r].x;
         US32  y = rect[r].y;
         for (i = rect[r].h;  i--;)
         {
            for (j = rect[r].w;  j--;)
            {
               lines[y + i][x + j] = '+';
            }
         }
      }

      for (j = width;  j--;)  os << '=';   os << '\\' << endl;
      for (i = 0;  i < (int)height;  i++)  os << lines[i] << '|' << endl;
      for (j = width;  j--;)  os << '=';   os << '/' << endl;
      
   }

   if (lines != 0)  delete [] lines;
   if (buffer != 0)  delete [] buffer;
} // rectsOutput
