// $Id: tcltool.c,v 1.1 1997/03/25 10:18:43 yotam Exp $

#include <iostream.h>
#include <strstream.h>
#include <tcl.h>
#include "tcltool.h"

////////////////////////////////////////////////////////////////////////
static void
freebyDelete(char* p)
{
   delete [] p;
} // freebyDelete


////////////////////////////////////////////////////////////////////////
void
setTclResult(Tcl_Interp* interp, const char* s)
{
   int          l = strlen(s);
   char*        rs = new char[l + 1];
   strcpy(rs, s);
   Tcl_SetResult(interp, rs, freebyDelete);
} // setTclResult


////////////////////////////////////////////////////////////////////////
void
setTclResult(Tcl_Interp* interp, ostrstream& os)
{
   const char*  s = os.str(); // imply freeze
   setTclResult(interp, s);
   os.freeze(0);
} // setTclResult



